Package ru.bitel.bgbilling.modules.vidimax.server.bean

# Class VidimaxClientPairDataDao

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<ru.bitel.bgbilling.modules.vidimax.common.VidimaxClientPairData>
ru.bitel.bgbilling.modules.vidimax.server.bean.VidimaxClientPairDataDao

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class VidimaxClientPairDataDao
    extends ru.bitel.common.dao.AbstractDao<ru.bitel.bgbilling.modules.vidimax.common.VidimaxClientPairData>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VidimaxClientPairDataDao​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteByContractId​(int contractId)` |
  `ru.bitel.bgbilling.modules.vidimax.common.VidimaxClientPairData` | `getByContractid​(int contractId)` |
  `ru.bitel.bgbilling.modules.vidimax.common.VidimaxClientPairData` | `getByCustomerId​(java.lang.String customerId)` |
  `protected ru.bitel.bgbilling.modules.vidimax.common.VidimaxClientPairData` | `getFromRS​(java.sql.ResultSet rs)` |
  `void` | `pairAccountUpdate​(ru.bitel.bgbilling.modules.vidimax.common.VidimaxClientPairData pairData, boolean pair)` |
  `protected void` | `updateImpl​(ru.bitel.bgbilling.modules.vidimax.common.VidimaxClientPairData pairData)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VidimaxClientPairDataDao

    public VidimaxClientPairDataDao​(java.sql.Connection con, int mid)

- ## Method Details

  - ### getByContractid

    public ru.bitel.bgbilling.modules.vidimax.common.VidimaxClientPairData getByContractid​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getByCustomerId

    public ru.bitel.bgbilling.modules.vidimax.common.VidimaxClientPairData getByCustomerId​(java.lang.String customerId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### pairAccountUpdate

    public void pairAccountUpdate​(ru.bitel.bgbilling.modules.vidimax.common.VidimaxClientPairData pairData, boolean pair) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected ru.bitel.bgbilling.modules.vidimax.common.VidimaxClientPairData getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ru.bitel.bgbilling.modules.vidimax.common.VidimaxClientPairData>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteByContractId

    public void deleteByContractId​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl​(ru.bitel.bgbilling.modules.vidimax.common.VidimaxClientPairData pairData) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ru.bitel.bgbilling.modules.vidimax.common.VidimaxClientPairData>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`